## tcvt 0.1.20171010

=== Makefile ===
PREFIX ?= /usr/local
BINDIR ?= ${PREFIX}/bin
MANDIR ?= ${PREFIX}/share/man

install:build
	install -d "${DESTDIR}${BINDIR}"
	install -d "${DESTDIR}${MANDIR}/man1"
	install -m755 tcvt.py "${DESTDIR}${BINDIR}/tcvt"
	install -m755 optcvt.sh.transformed "${DESTDIR}${BINDIR}/optcvt"
	install -m644 tcvt.1.gz "${DESTDIR}${MANDIR}/man1/tcvt.1.gz"
	ln -sf tcvt.1.gz "${DESTDIR}${MANDIR}/man1/optcvt.1.gz"
build:optcvt.sh.transformed tcvt.1.gz
clean:
	rm -f optcvt.sh.transformed tcvt.1.gz

optcvt.sh.transformed:optcvt.sh
	sed 's!^TCVT=.*!TCVT="${BINDIR}/tcvt"!' < $< > $@

%.gz:%
	gzip -9 < $< > $@

.PHONY:build install clean

## tcvt 0.1

=== debian/changelog ===
tcvt (0.1-2) unstable; urgency=medium

  * [656d171] Enable UTF-8 support by default

 -- Ferenc Wágner <wferi@debian.org>  Sat, 24 Dec 2016 15:31:15 +0100

tcvt (0.1-1) unstable; urgency=medium

  * [a66089e] Initial packaging (Closes: #847809)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 18 Dec 2016 10:00:20 +0100

=== debian/control ===
Source: tcvt
Priority: optional
Maintainer: Ferenc Wágner <wferi@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3:any,
Standards-Version: 3.9.8
Section: utils
Homepage: http://subdivi.de/~helmut/tcvt/

Package: tcvt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: multicolumn virtual terminal
 Your screen is getting wider. Keeping track of long lines gets harder. Space
 on the right hand side of the screen is completely blank due to short lines.
 Are you struggling with these? Then tcvt is for you.
 .
 The two column virtual terminal, short tcvt, can be used to vertically split a
 single terminal in two (or more) columns. This is similar to a two column
 layout in printing, just for regular terminals.
 .
 Note that this is not about placing two terminals next to each other. This
 task is already solved by tiling window managers, screen, tmux and splitvt.
 What tcvt does is create a single very tall terminal with two columns.

## tcvt 0.1.20171010

=== debian/changelog ===
tcvt (0.1.20171010-5) unstable; urgency=medium

  [ Debian Janitor ]
  * [abba447] Use secure URI in Homepage field.
    Changes-By: lintian-brush
    Fixes: lintian: homepage-field-uses-insecure-uri

  [ Ferenc Wágner ]
  * [47f41a6] Update Standards-Version to 4.5.1 (no changes required)
  * [6ffee1e] Bump Debhelper compat level to 13

 -- Ferenc Wágner <wferi@debian.org>  Sun, 07 Feb 2021 18:15:14 +0100

tcvt (0.1.20171010-4) unstable; urgency=medium

  * [8249716] Run Salsa-CI reprotest with diffoscope
  * [fd40fd9] Help the test hardcopy lose the race against display processing
  * [e343c01] Turn the test hardcopy into an autopkgtest artifact
  * [5e4bf3b] Log the test hardcopy in a more readable format

 -- Ferenc Wágner <wferi@debian.org>  Fri, 03 Jan 2020 11:39:15 +0100

tcvt (0.1.20171010-3) unstable; urgency=medium

  * [2ce9485] Create packaging repository on salsa.debian.org
  * [100472b] Add an autopkgtest
  * [d8080db] Override Lintian warning about missing watch file
  * [fdca5cf] Change syntax to make the dh sequencer visible to Lintian
  * [f2129e4] Enroll to basic Salsa CI
  * [1f57995] The binary package is two scripts, thus Multi-Arch: foreign

 -- Ferenc Wágner <wferi@debian.org>  Mon, 30 Dec 2019 08:29:54 +0100

tcvt (0.1.20171010-2) unstable; urgency=medium

  * [d2810cd] Pull full commit messages into debian/changelog
  * [afc5e42] Update Standards-Version to 4.4.1 (no changes required)
  * [2381631] Switch to Debhelper compat level 12
  * [d60bf39] Enable rootless build
  * [7c9c145] Remove trailing whitespace from package description
  * [c0520d7] New patch: Explicitly use the Python3 interpreter
    (Closes: #945741)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 28 Dec 2019 11:03:16 +0100

tcvt (0.1.20171010-1) unstable; urgency=medium

  * [1c684d2] New upstream git snapshot (v0.1.20171010)
  * [4ae358d] Drop all patches, UTF-8 support isn't ready for prime time yet
  * [c055521] Mention the current lack of UTF-8 support in the package
    description

 -- Ferenc Wágner <wferi@debian.org>  Wed, 25 Jan 2017 21:55:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,19 @@
 Priority: optional
 Maintainer: Ferenc Wágner <wferi@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  dh-python,
  python3:any,
-Standards-Version: 3.9.8
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Section: utils
-Homepage: http://subdivi.de/~helmut/tcvt/
+Homepage: https://subdivi.de/~helmut/tcvt/
+Vcs-Git: https://salsa.debian.org/debian/tcvt.git
+Vcs-Browser: https://salsa.debian.org/debian/tcvt
 
 Package: tcvt
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},
@@ -25,4 +29,7 @@
  .
  Note that this is not about placing two terminals next to each other. This
  task is already solved by tiling window managers, screen, tmux and splitvt.
- What tcvt does is create a single very tall terminal with two columns. 
+ What tcvt does is create a single very tall terminal with two columns.
+ .
+ Please note that the current version does not support UTF-8 yet.  Experimental
+ patches are available in the utf8 branch of the upstream repository.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX = /usr
export DESTDIR = debian/tmp/tcvt

%:
	dh $@ --with python3

=== debian/tests/control ===
Depends: tcvt, screen
Tests: hardcopy

## tcvt 0.1.20220928

=== Makefile ===
PYTHON ?= python3
HASHBANG ?= /usr/bin/env $(PYTHON)
PREFIX ?= /usr/local
BINDIR ?= ${PREFIX}/bin
MANDIR ?= ${PREFIX}/share/man

install:build
	install -d "${DESTDIR}${BINDIR}"
	install -d "${DESTDIR}${MANDIR}/man1"
	install -m755 tcvt.py.transformed "${DESTDIR}${BINDIR}/tcvt"
	install -m755 optcvt.sh.transformed "${DESTDIR}${BINDIR}/optcvt"
	install -m644 tcvt.1.gz "${DESTDIR}${MANDIR}/man1/tcvt.1.gz"
	ln -sf tcvt.1.gz "${DESTDIR}${MANDIR}/man1/optcvt.1.gz"
build:optcvt.sh.transformed tcvt.1.gz tcvt.py.transformed
clean:
	rm -f optcvt.sh.transformed tcvt.py.transformed tcvt.1.gz test.tcvterror test.result

optcvt.sh.transformed:optcvt.sh
	sed 's!^TCVT=.*!TCVT="${BINDIR}/tcvt"!' < $< > $@

tcvt.py.transformed:tcvt.py
	sed '1c\#!$(HASHBANG)' < $< > $@

%.gz:%
	gzip -9 < $< > $@

.PHONY:build install clean

=== debian/changelog ===
tcvt (0.1.20220928-1) unstable; urgency=medium

  * [2dfc9b8] New upstream git snapshot (v0.1.20220928)
  * [09223b6] Drop our patch, dh_python3 fixes up the shebang
  * [1a0c863] Simplify debian/rules
  * [49ae3ca] UTF-8 is supported now
  * [d297171] Update Standards-Version to 4.6.2 (no changes required)
  * [cd2b611] Refresh copyright dates

 -- Ferenc Wágner <wferi@debian.org>  Sun, 01 Oct 2023 12:57:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Maintainer: Ferenc Wágner <wferi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3:any,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: utils
 Homepage: https://subdivi.de/~helmut/tcvt/
@@ -30,6 +30,3 @@
  Note that this is not about placing two terminals next to each other. This
  task is already solved by tiling window managers, screen, tmux and splitvt.
  What tcvt does is create a single very tall terminal with two columns.
- .
- Please note that the current version does not support UTF-8 yet.  Experimental
- patches are available in the utf8 branch of the upstream repository.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX = /usr
export DESTDIR = debian/tmp/tcvt

%:
	dh $@
